Subject: bug#73240: avidemux build failure: mathops.h errors

From: Christopher Howard <[email-masked]>
Date: Fri, 13 Sep 2024 14:33:36 -0800

I did a guix-pull today and then attempted a home reconfigure, but I get this failure:

```
build of /gnu/store/mqrq358d23ljidarblh38wx2b4c7c4xp-avidemux-2.7.8.drv failed
View build log at '/var/log/guix/drvs/mq/rq358d23ljidarblh38wx2b4c7c4xp-avidemux-2.7.8.drv.gz'.
building /gnu/store/rq7j5ci1s64mlkqjaipndkk164jlc7mm-bash_profile.drv...
cannot build derivation `/gnu/store/rvwpjlpys502p2nbpc8xr6zzfjswayxk-profile.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/gb2912mlng6p1xclnqajn3792kvq4r0d-home.drv': 1 dependencies couldn't be built
guix home: error: build of `/gnu/store/gb2912mlng6p1xclnqajn3792kvq4r0d-home.drv' failed
```

I've attached the build failure log.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.161-gnu 
Uptime: 72 days, 1 hour, 20 mins 
Packages: 167 (guix-system), 251 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: guix 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 4213MiB / 15914MiB 
```

``` guix describe
Generation 145	Sep 13 2024 07:30:24	(current)
  guix 013bda5
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 013bda5e2c53bcf1d9093286c3658b95f5e32c09
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ